SUMMARY: MODULE | CLASS | TYPE | PROC | VAR | CONST | DETAIL: TYPE | PROC | VAR | CONST

# URI:Scheme:MailTo

### Import List

        Object
        RT0
        URI:Scheme:Opaque

Class List
URI |

Class Summary: URI [Detail]
      +---RT0.Object
           |
           +---Object.Object
                |
                +---URI.URI
                     |
                     +---URI.OpaqueURI
                          |
                          +---URI:Scheme:Opaque.Generic
                               |
                               +--URI:Scheme:MailTo.URI
Inherited Fields
From URI.URI: schemeId From URI:Scheme:Opaque.Generic: opaque
Constructor Summary
Init(URI, STRING, STRING)
New(STRING, STRING): URI
NewPrototype(): URI
Method Summary
Clone(): URI Creates a deep copy of the URI referenced by mailto.
Inherited Methods
From RT0.Object: Finalize From Object.Object: Equals, HashCode From URI.URI: AppendScheme, GetChannel, MakeRelative, SetSchemeId From URI:Scheme:Opaque.Generic: Clone, Copy, ParseOpaquePart, ToString, WriteXML

Class Detail: URI

Constructor Detail

### Init

    PROCEDURE Init(mailto: URI;
                   schemeId: STRING;
                   opaque: STRING)

### New

    PROCEDURE New(schemeId: STRING;
                  opaque: STRING): URI

### NewPrototype

    PROCEDURE NewPrototype(): URI

Method Detail

### Clone

    PROCEDURE (mailto: URI) Clone(): URI

> Creates a deep copy of the URI referenced by mailto. That is, it creates a new instance of mailto and calls URI.Copy on it.

> [Description inherited from Clone]

> Redefines: Clone, Clone, Clone